System.Web 2.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Class)

Event validation prevents forged postbacks to an ASP.NET Web page and can be enabled through the EnableEventValidation page directive.

For more information, see . For more information about attributes, see Extending Metadata Using Attributes.

Defines the metadata attribute that Web server controls use to indicate support for event validation. This class cannot be inherited.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0